> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Finalize voice design

> Create a permanent voice from a generated design preview

Create a permanent voice from a generated design preview. Use this as the second step in [voice generation](/docs-and-guides/voices/voice-generation), after [Design voice previews](/api-reference/voices/design-previews).


## OpenAPI

````yaml post /organization/voices/finalize_design
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /organization/voices/finalize_design:
    post:
      tags:
        - Voices
      summary: Finalize voice design
      description: Create a permanent voice from a generated design preview
      operationId: organization/voices#finalize_design
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyVoiceFinalizeDesign'
            examples:
              example:
                $ref: '#/components/examples/requestBodyVoiceFinalizeDesignExample'
      responses:
        '201':
          description: Created
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/voiceExample'
              schema:
                $ref: '#/components/schemas/voiceModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  schemas:
    requestBodyVoiceFinalizeDesign:
      type: object
      required:
        - generated_voice_id
        - name
        - description
        - languages
        - speaker
      properties:
        generated_voice_id:
          type: string
          description: The generated voice ID returned by the design_previews endpoint
        name:
          type: string
          description: Name for the new voice
        description:
          type: string
          description: Optional description of the voice
        gender:
          type: string
          enum:
            - male
            - female
            - neutral
          description: Gender of the voice
        language:
          type: object
          properties:
            code:
              type: string
              description: Language locale code (e.g. en_GB)
        speaker:
          type: object
          properties:
            id:
              type: integer
              description: ID of the speaker to associate with the voice
    voiceModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        name:
          type: string
          description: The name of the voice
        type:
          type: string
          description: The type of the voice
          enum:
            - premade
            - instant
            - professional
            - generated
        status:
          type: string
          description: The status of the voice
          enum:
            - draft
            - recording
            - processing
            - review
            - enabled
            - deprecated
            - disabled
            - unavailable
        preview_statuses:
          type: string
          description: The preview status of the voice for its primary language
          enum:
            - processing
            - processed
        speaker:
          type: object
          description: The speaker of the voice
          nullable: true
          properties:
            id:
              type: integer
              description: Unique identifier for the object
            first_name:
              type: string
              description: The first name of the speaker
            last_name:
              type: string
              description: The last name of the speaker
            image_url:
              type: string
              description: The image URL of the speaker
              nullable: true
            created:
              type: string
              format: date-time
              description: Time at which the object was created (ISO 8601)
            updated:
              type: string
              format: date-time
              description: Time at which the object was updated (ISO 8601)
        script_ids:
          type: array
          description: The script IDs associated with the voice
          items:
            type: integer
        speaking_rate:
          type: integer
          description: The speaking rate of the voice
        multilingual_mode:
          type: boolean
        expressiveness:
          type: number
          nullable: true
        use_speaker_boost:
          type: boolean
          nullable: true
        similarity_boost:
          type: number
          nullable: true
        style:
          type: number
          nullable: true
        languages:
          type: array
          description: The languages supported by the voice
          items:
            type: object
            properties:
              code:
                type: string
                description: The ISO 639-1 code of the language
              name:
                type: string
                description: The name of the language
              accent:
                type: string
                description: The accent of the language
                nullable: true
              preview_url:
                type: string
                description: The preview URL of the language
                nullable: true
        cloning_consent:
          type: string
          description: The cloning consent URL for instant and professional voices
          nullable: true
        clone_errors:
          type: array
          description: An array of voice cloning errors in the standard error format
          items:
            type: object
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
        logo_pattern:
          type: integer
          description: Logo pattern number
          nullable: true
        logo_color:
          type: string
          description: Logo pattern color
          nullable: true
          enum:
            - red
            - green
            - blue
            - purple
            - gray
            - pink
            - cyan
        gender:
          type: string
          nullable: true
          enum:
            - male
            - female
            - neutral
          description: The gender of the voice
        language:
          type: string
          description: The language of the voice
          deprecated: true
        secondary_languages:
          type: array
          description: The secondary languages of the voice
          deprecated: true
          items:
            type: string
        service:
          type: string
          description: The source of the voice
        model_id:
          type: string
          nullable: true
        preview_url:
          type: string
          description: The preview URL of the voice
          deprecated: true
          nullable: true
        premium:
          type: boolean
          description: Whether the voice is premium or not
          deprecated: true
        exclusive:
          type: boolean
          description: Whether the voice is exclusive or not
          deprecated: true
        custom:
          type: boolean
          description: The custom flag of the voice
          deprecated: true
        additional:
          type: boolean
        pauses_supported:
          type: boolean
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
  examples:
    requestBodyVoiceFinalizeDesignExample:
      summary: Sample finalize voice design request body
      value:
        generated_voice_id: gen_british_female_01
        name: Jane
        description: A warm, articulate British female news presenter
        gender: female
        language:
          code: en_GB
        speaker:
          id: 123
    voiceExample:
      summary: A sample voice response
      value:
        id: 1
        name: James
        type: premade
        status: enabled
        speaker: null
        script_ids: []
        speaking_rate: 103
        gender: male
        languages:
          - code: en_GB
            name: English
            accent: British
            preview_url: https://example.com/James_en_GB_preview.mp3
          - code: en_AU
            name: English
            accent: Aussie
            preview_url: https://example.com/James_en_AU_preview.mp3
        created: 2022-01-01 00:00:00 UTC
        updated: 2022-01-31 12:59:59 UTC
        language: en_GB
        secondary_languages: []
        service: azure
        preview_url: https://example.com/James_en_GB_preview.mp3
        exclusive: false
        custom: false
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````